PO4A-NORMALIZE.1P(1)

NOMBRE
po4a-normalize - Normaliza un archivo de documentación analizándolo con po4a, y vuelve a escribirlo

SINOPSIS
po4a-normalize -f formatoE original.doc

DESCRIPCIÓN
El objetivo del proyecto po4a («PO for anything», PO para todo) es facilitar la traducción (y más interesante, el mantenimiento de las traducciones) usando las herramientas de gettext en ámbitos dónde no previstos, como la documentación.

El script po4a-normalize es una herramienta de depuración usada para comprobar que po4a no cambia el documento cuando no debe. Sólo debe usarlo si está desarrollando un módulo nuevo, o si duda de la corrección de las herramientas.

El documento generado se escribirá en po4a-normalize.output mientras que el fichero POT generado se escribirá en po4a-normalize.po por omisión, pero usted puede usar las opciones --localized y --pot para cambiar esto.

OPCIONES

-o, --option
    Opción(es) adicionales a introducir a la extensión del formato. Consulte la documentación de cada extensión para más información acerca de las opciones aceptadas y su significado. Por ejemplo, puede pasar '-o tablecells' al intérprete AsciiDoc, mientras que el intérprete de texto aceptaría '-o tabs=split'.

-w, --width
    Columna en la que debemos ajustar el archivo resultante si el formato lo admite (predeterminado: 76).

-b, --blank
    Crea un documento traducido en blanco. El documento traducido generado se procesará como si la traducción de todos los mensajes fuese un espacio o una línea nueva.

    Esto es de utilidad para revisar qué partes del documento no se pueden traducir.

    No se pueden especificar --blank y --capitalize al mismo tiempo.

-C, --capitalize
    Cree un documento traducido y el archivo po correspondiente con las cadenas originales traducidas como sus versiones en mayúscula.

    Esto es útil para comprobar qué partes del documento no se pueden traducir y generar datos de prueba para po4a.

    No se pueden especificar --blank y --capitalize al mismo tiempo.

-h, --help
    Muestra un mensaje corto de ayuda.

--help-format
    Listado de formatos de documentación reconocidos por po4a.

-f, --format
    El formato de la documentación que desea tratar. Use la opción --help-format para ver la lista de los formatos disponibles.

-M, --master-charset
    El juego de caracteres del fichero que contiene el documento a traducir.

-l, --localized
    Nombre del fichero normalizado para producir (po4a-normalize.output por defecto).

-p, --pot
    Fichero POT para producir (po4a-normalize.po por defecto).

-V, --version
    Muestra la versión del script y cierra.

VÉASE TAMBIÉN
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCCION
 Jordi Vilalta <jvprat@gmail.com>
 Omar Campagne <ocampagne@gmail.com>

DERECHO DE COPIA Y LICENCIA
Copyright 2002-2023 por SPI, inc.

Este programa es software libre; puede redistribuirlo y/o modificarlo bajo los términos de la GPL v2.0 o posterior (consulte el archivo COPYING).